Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.remote
Interface JMXConnectorServerProvider

    public interface JMXConnectorServerProvider

A provider for creating JMX API connector servers using a given protocol. Instances of this interface are created by `JMXConnectorServerFactory` as part of its `newJMXConnectorServer` method.

Since:
  1.5

Method Summary
`JMXConnectorServer` | `newJMXConnectorServer(JMXServiceURL serviceURL, Map<String,?> environment, MBeanServer mbeanServer)` Creates a new connector server at the given address.

Method Detail

### newJMXConnectorServer

    JMXConnectorServer newJMXConnectorServer(JMXServiceURL serviceURL,
                                             Map<String,?> environment,
                                             MBeanServer mbeanServer)
                                             throws IOException

  Creates a new connector server at the given address. Each successful call to this method produces a different `JMXConnectorServer` object.

  Parameters:
    `serviceURL` - the address of the new connector server. The actual address of the new connector server, as returned by its `getAddress` method, will not necessarily be exactly the same. For example, it might include a port number if the original address did not.
    `environment` - a read-only Map containing named attributes to control the new connector server's behaviour. Keys in this map must be Strings. The appropriate type of each associated value depends on the attribute.
    `mbeanServer` - the MBean server that this connector server is attached to. Null if this connector server will be attached to an MBean server by being registered in it.
  Returns:
    a `JMXConnectorServer` representing the new connector server. Each successful call to this method produces a different object.
  Throws:
    `NullPointerException` - if `serviceURL` or `environment` is null.
    `IOException` - if the connector server cannot be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.